GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::SurfaceReader Class Reference

This class defines a SURFACE IE reader. It reads surface mesh module attributes. More...

`#include <gdcmSurfaceReader.h>`

Inheritance diagram for gdcm::SurfaceReader:
[legend]
Collaboration diagram for gdcm::SurfaceReader:
[legend]

## Public Member Functions

| SurfaceReader ()
virtual | ~SurfaceReader ()
unsigned long | GetNumberOfSurfaces () const
virtual bool | Read ()
| Read.
Public Member Functions inherited from gdcm::SegmentReader
| SegmentReader ()
virtual | ~SegmentReader ()
const SegmentVector | GetSegments () const
SegmentVector | GetSegments ()
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
const File & | GetFile () const
| Set/Get File.
File & | GetFile ()
| Set/Get File.
bool | ReadSelectedTags (std::set< Tag > const &tags)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions

bool | ReadPointMacro (SmartPointer< Surface > surface, const DataSet &surfaceDS)
bool | ReadSurface (const Item &surfaceItem, const unsigned long idx)
bool | ReadSurfaces ()
Protected Member Functions inherited from gdcm::SegmentReader
bool | ReadSegment (const Item &segmentItem, const unsigned int idx)
bool | ReadSegments ()
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Additional Inherited Members

Public Types inherited from gdcm::SegmentReader
typedef std::vector < SmartPointer< Segment > > | SegmentVector
Protected Types inherited from gdcm::SegmentReader
typedef std::map< unsigned long, SmartPointer< Segment > > | SegmentMap
Protected Attributes inherited from gdcm::SegmentReader
SegmentMap | Segments

## Detailed Description

This class defines a SURFACE IE reader. It reads surface mesh module attributes.

See Also
  PS 3.3 A.1.2.18 , A.57 and C.27

## Constructor & Destructor Documentation

gdcm::SurfaceReader::SurfaceReader | ( |  | ) |

virtual gdcm::SurfaceReader::~SurfaceReader | ( |  | ) |

virtual

## Member Function Documentation

unsigned long gdcm::SurfaceReader::GetNumberOfSurfaces | ( |  | ) | const

virtual bool gdcm::SurfaceReader::Read | ( |  | ) |

virtual

Read.

Reimplemented from gdcm::SegmentReader.

bool gdcm::SurfaceReader::ReadPointMacro | ( | SmartPointer< Surface > | surface,
|  | const DataSet & | surfaceDS
| ) |  |

protected

bool gdcm::SurfaceReader::ReadSurface | ( | const Item & | surfaceItem,
|  | const unsigned long | idx
| ) |  |

protected

bool gdcm::SurfaceReader::ReadSurfaces | ( |  | ) |

protected

The documentation for this class was generated from the following file:

- gdcmSurfaceReader.h